# $Revision: 1.7 $, $Date: 2009/02/23 22:09:11 $
Summary:	XBSQL - an SQL wrapper for the XBase library
Summary(pl.UTF-8):	XBSQL - wrapper SQL dla biblioteki XBase
Name:		xbsql
Version:	0.11
Release:	4
License:	LGPL
Group:		Libraries
# from URL - dead ftp://195.92.31.34/pub/xbsql-0.6/xbsql-0.6.tgz
Source0:	http://www.rekallrevealed.org/packages/%{name}-%{version}.tgz
# Source0-md5:	7f8c8584cf0f592660fb2653a4bfc415
Patch0:		%{name}-acfix.patch
URL:		http://www.quaking.demon.co.uk/xbsql/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	xbase-devel >= 1.8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBSQL is a wrapper library which provides an SQL-subset interface to
XBase DBMS.

%description -l pl.UTF-8
XBSQL to biblioteka obudowująca dostarczająca interfejs będący
podzbiorem SQL do systemu baz danych XBase.

%package devel
Summary:	Header files for XBSQL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XBSQL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xbase-devel

%description devel
Header files for XBSQL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XBSQL.

%package static
Summary:	Static XBSQL library
Summary(pl.UTF-8):	Statyczna biblioteka XBSQL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XBSQL library.

%description static -l pl.UTF-8
Statyczna biblioteka XBSQL.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS Announce ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xql
%attr(755,root,root) %{_libdir}/libxbsql.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libxbsql.so
%{_libdir}/libxbsql.la
%{_includedir}/xbsql.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxbsql.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xbsql.spec,v $
Revision 1.7  2009/02/23 22:09:11  arekm
- release 4

Revision 1.6  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.4  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.3  2005/06/06 21:42:08  zbyniu
- BR: bison

Revision 1.2  2005/02/14 20:10:38  qboosh
- added acfix patch (lib64 support), rebuild ac/am; release 2

Revision 1.1  2005/02/14 14:29:10  qboosh
- new
